/**
 * Copyright 2016 Rice University
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the License is distributed
 *  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for
 *  the specific language governing permissions and limitations under the License.
 */
library vellum.views;

import 'dart:async';
import 'dart:js' as js;
import 'dart:html';
import 'package:js/js.dart';
import 'package:vellum/view_models.dart';

part "src/views/view.dart";
part "src/views/project_explorer_view.dart";
part "src/views/file_editor_view.dart";
part "src/views/element_view.dart";
part "src/views/javascript_editor_view_registrar.dart";
part "src/views/file_editor_view_external.dart";
part "src/views/javascript_file_editor_view.dart";
part "src/views/javascript_file_editor_element_view.dart";
