/**
 * Copyright 2016 Rice University
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the License is distributed
 *  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for
 *  the specific language governing permissions and limitations under the License.
 */
library default_controllers;


import 'dart:async';
import 'dart:html';
import 'package:vellum/controllers.dart';
import 'package:js/js.dart';
import 'package:vellum/models_file_types.dart';
import 'package:path/src/parsed_path.dart';
import 'package:vellum/view_models.dart';
import 'package:vellum/default_views.dart';
import 'package:vellum/models_editor_file.dart';
import 'package:vellum/views.dart';
import 'package:vellum/models_new_source_file_creation.dart';
import 'package:path/src/style/posix.dart';

part 'src/default_controllers/default_project_explorer_controller.dart';
part 'src/default_controllers/default_source_editor_controller.dart';
part 'src/default_controllers/default_ide_controller.dart';
part 'src/default_controllers/default_toolbar_controller.dart';
part 'src/default_controllers/default_console_controller.dart';
part 'src/default_controllers/default_dual_source_editor_controller.dart';
