/**
 * Copyright 2016 Rice University
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the License is distributed
 *  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for
 *  the specific language governing permissions and limitations under the License.
 */
library default_views;

import 'dart:html';
import 'package:dart_web_toolkit/util.dart';
import 'package:vellum/views.dart';
import 'dart:async';

import 'package:path/src/parsed_path.dart';
import 'package:vellum/view_models.dart';

part "src/default_views/default_project_explorer_view.dart";
part "src/default_views/default_console_view.dart";
